package cc.lukatown.icefox.plugincore;

import org.anjocaido.groupmanager.GroupManager;
import org.bukkit.ChatColor;
import org.bukkit.event.EventHandler;
import org.bukkit.event.EventPriority;
import org.bukkit.event.Listener;
import org.bukkit.event.server.PluginDisableEvent;
import org.bukkit.event.server.PluginEnableEvent;
import org.bukkit.plugin.Plugin;
import org.bukkit.plugin.PluginManager;

/**
 * *******************************************
 * Created by Icefox on 14-8-13.
 * Just for LukaTownMinecraftServer
 * Web: LukaTown.cc  E-Mail: icefox@LukaTown.cc
 * ********************************************
 */

public class PluginCoreListener implements Listener {
    public PluginCoreListener(PluginCore athis) {
    }

    @EventHandler(priority = EventPriority.MONITOR)
    public void pluginLoader(PluginEnableEvent event) {
        String pluginName = event.getPlugin().getName();

        if (pluginName.startsWith("2dmmc_")) {
            PluginCore.SendColorLog(ChatColor.GOLD + "[PluginCorePluginLoader] " + ChatColor.YELLOW + pluginName + ChatColor.GREEN + " Enabled !");
        }
    }

}